/***************************************************************************
                          CLASS.h  -  description
                             -------------------
    
    copyright            : (C) 2012 by Vito Conforti
    email                : conforti@iasfbo.inaf.it
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/



/** 
* @file CLASS.h 
* @brief  In this file is reported the declaration of class CLASS.h. 
* 	
*
* @author Vito Conforti
*
* @date 19/10/2012
*/


#ifndef CLASS_H
#define CLASS_H

#include "MyFirstClass.h"
#include <otherCclass>

/// CLASS
/**
*  @brief This class do not nothing. But is useful to understand how you can use the comments understandable to Doxygen.
* 
* 	Detailed description of class. ... 
*
* @author Vito Conforti
*
* @date 19/10/2012  
*/
class CLASS 
{
    	public:
	
	/// Constructor method
         CLASS();

	/// Distructor method
        ~CLASS();


	 /// Initializator of  the object.
	/// \brief Initializator of class
	 /// @param[one]     description of first parameter.
	 /// @param[two]     description of second parameter.
	 /// @param[three]   description of third  parameter.
	 /// @return True on success. False otherwise. 
	 /// Instance to be deleted and no other functions to be called.
	virtual bool Init(int one, int two , char* three);
	



	private:        	
		int myAttribyte 1;//!< This brief description is in the same lines of attribute declaration

		


};
#endif
